Bug 1005487 - fc20 live nightly iso does not start from USB (fc19 does), drops to emergency shell
fc20 live nightly iso does not start from USB (fc19 does), drops to emergency...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 10:36 EDT by spital
Modified: 2013-09-22 20:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: dracut-033-3.git20130913.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:15:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rdsosreport.txt (100.08 KB, application/x-bzip)
2013-09-07 10:36 EDT, spital
no flags Details

  None (edit)
Description spital 2013-09-07 10:36:47 EDT
Created attachment 795121 [details]
rdsosreport.txt

Description of problem:

fc20 live nightly iso does not start from USB (fc19 does),drops to emergency shell

Version-Release number of selected component (if applicable):

Fedora-20-Nightly-x86_64-Live-xfce-20130905.14-1.iso

How reproducible:

copy ISO to USB formatted ext4,setup grub2, add rdinitdebug and rdblacklist=radeon and boot

rdsosreport.txt attached
Comment 1 Harald Hoyer 2013-09-09 05:39:44 EDT
Your USB stick usb-Kingston_DT_Ultimate_G3 has the following partitions:
/dev/sdf1: LABEL="26gb" UUID="042A43B12A439F14" TYPE="ntfs" 
/dev/sdf2: UUID="4b8d8eb3-5a8b-4fb1-8f1d-014ac484ff51" TYPE="ext2" 
/dev/sdf3: LABEL="Android-x86" UUID="568dd60e-2e9f-45bc-80b5-e54f94ee2d29" SEC_TYPE="ext2" TYPE="ext3" 
/dev/sdf4: UUID="9ead56e3-e6a9-46da-83f3-990b54c56a42" TYPE="ext4" 

You booted the Live image with the following kernel command line:

root=live:CDLABEL=Fedora-20-Nightly-x86_64-Live-xf

As you can see, the LABEL dracut is looking for is "Fedora-20-Nightly-x86_64-Live-xf"

This label does not exist on your USB stick.
Comment 2 spital 2013-09-09 10:31:09 EDT
Thanks for info, I know what I am putting into my USB port.

And sorry for misunderstanding ...

fc20 live nightly

___ISO___

does not start from USB 

(fc19 ___DOES___)

=========grub.cfg==========
menuentry 'fc20 nightly iso na usb ext4 cfg github thias/glim ' {
set root='(hd0,msdos4)'
insmod ext2
insmod ntfs
insmod fat
insmod part_msdos
insmod iso9660
set CDL=Fedora-20-Nightly-x86_64-Live-xf
set ISO=${CDL}ce-20130908.09-1.iso
loopback loop /$ISO
linux (loop)/isolinux/vmlinuz0 root=live:CDLABEL=$CDL rootfstype=auto ro rd.live.image  rd.luks=0 rd.md=0 rd.dm=0 iso-scan/filename=$ISO rdblacklist=radeon rdinitdebug
initrd (loop)/isolinux/initrd0.img
### fc19 blkid xxx.iso -> UUID="2013-06-27-17-22-08-00" LABEL="Fedora-Live-Desktop-x86_64-19-1"
}
===================
# /usr/sbin/blkid Fedora-20-Nightly-x86_64-Live-xfce-20130908.09-1.iso
Fedora-20-Nightly-x86_64-Live-xfce-20130908.09-1.iso: UUID="2013-09-08-15-50-59-00" LABEL="Fedora-20-Nightly-x86_64-Live-xf" TYPE="iso9660" PTTYPE="dos" 

There you can see the label.
Please help.
Comment 3 Harald Hoyer 2013-09-09 10:47:27 EDT
Ah, oh, sorry, missed "iso-scan/filename=Fedora-20-Nightly-x86_64-Live-xfce-20130905.14-1.iso"

printf 'KERNEL=="loop0", RUN+="/sbin/initqueue --settled --unique /sbin/iso-scan %s"\n' ''\''Fedora-20-Nightly-x86_64-Live-xfce-20130905.14-1.iso'\'''

I see the problem. Thanks for reporting.
Comment 5 Fedora Update System 2013-09-12 09:21:08 EDT
dracut-033-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-033-1.fc20
Comment 6 Fedora Update System 2013-09-12 12:30:14 EDT
Package dracut-033-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-033-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16553/dracut-033-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-13 11:18:11 EDT
dracut-033-3.git20130913.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-033-3.git20130913.fc20
Comment 8 Fedora Update System 2013-09-13 13:30:59 EDT
Package dracut-033-3.git20130913.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-033-3.git20130913.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16671/dracut-033-3.git20130913.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-22 20:15:49 EDT
dracut-033-3.git20130913.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.